Audiofusion
Follow
Q

IPhone 5s is compatible?


Audiofusion responded on 01/29/2018
A

Hi Andre,
We recommend iPhone 6 or newer but iPhone 5 will work.
We will let you know as soon as the apps are available for download.
Thanks!

1000 characters remaining